esphome:
  name: mateusz-s-esp
  friendly_name: Mateusz_s_esp

esp32:
  board: esp32dev
  framework:
    type: arduino

# Enable logging
logger:

# Enable Home Assistant API
api:
  encryption:
    key: "C9xzP8pJqdTpzlE95zZ5O4ZjNuWI/PVwaDiFaIlO1F8="

ota:
  password: "fa5e5bd9c36c45f9ff4bca490ac83bf6"

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password

  # Enable fallback hotspot (captive portal) in case wifi connection fails
  ap:
    ssid: "Mateusz-S-Esp Fallback Hotspot"
    password: "lo4bTKMYOzVH"

captive_portal:

esp32_ble_tracker:

binary_sensor:
  - platform: ble_presence
    mac_address: 62:DB:3F:6D:22:85
    name: "BLE TEST"
    
sensor:
  - platform: ble_rssi
    mac_address: 62:DB:3F:6D:22:85
    name: "Phone RSSI"